$(document).ready(function(){
// round corners
Chart.pluginService.register({
  afterUpdate: function (chart) {
    for (let i = 1; i < chart.config.data.labels.length; i++) {
      var arc = chart.getDatasetMeta(0).data[i];
      arc.round = {
        x: (chart.chartArea.left + chart.chartArea.right) / 2,
        y: (chart.chartArea.top + chart.chartArea.bottom) / 2,
        radius: (chart.outerRadius + chart.innerRadius) / 2,
        thickness: (chart.outerRadius - chart.innerRadius) / 2 - 1,
        backgroundColor: arc._model.backgroundColor,
      };
    }
    // Draw rounded corners for first item
    var arc = chart.getDatasetMeta(0).data[0];
    arc.round = {
      x: (chart.chartArea.left + chart.chartArea.right) / 2,
      y: (chart.chartArea.top + chart.chartArea.bottom) / 2,
      radius: (chart.outerRadius + chart.innerRadius) / 2,
      thickness: (chart.outerRadius - chart.innerRadius) / 2 - 1,
      backgroundColor: arc._model.backgroundColor,
    };
  },

  afterDraw: function (chart) {
    for (let i = 0; i < chart.config.data.labels.length; i++) {
      var ctx = chart.chart.ctx;
      var arc = chart.getDatasetMeta(0).data[i]; // Add 'var' or 'let' to properly declare the 'arc' variable.
      if (arc && arc.round) {
        var startAngle = Math.PI / 2 - arc._view.startAngle;
        var endAngle = Math.PI / 2 - arc._view.endAngle;
        ctx.save();
        ctx.translate(arc.round.x, arc.round.y);
        ctx.fillStyle = arc.round.backgroundColor;
        ctx.beginPath();
        ctx.arc(
          arc.round.radius * Math.sin(endAngle),
          arc.round.radius * Math.cos(endAngle),
          arc.round.thickness,
          0,
          2 * Math.PI
        );
        ctx.closePath();
        ctx.fill();
        ctx.restore();
      }
    }
  },
});

var config = {
  type: "doughnut",
  data: {
    labels: ["Fashion", "Sports", "Technology", "Other"],
    datasets: [
      {
        data: [30, 18, 89, 25],
        backgroundColor: ["#476568", "#1A2526", "#BAEDBD", "#9CB8BB"],
        hoverBackgroundColor: ["#476568", "#1A2526", "#BAEDBD", "#9CB8BB"],
        borderWidth: 0,
        borderColor: ["#476568", "#1A2526", "#BAEDBD", "#9CB8BB"],
        hoverBorderWidth: 2,
      },
    ],
  },
  options: {
    responsive: true,
    legend: {
      position: "right",
      reverse: true,
      labels: {
        fontSize: 10,
        fontColor: "#858d9d",
      },
    },
    tooltips: {
      enabled: true,
    },
    cutoutPercentage: 78,
    rotation: -0.5 * Math.PI,
    circumference: 2 * Math.PI,
    animation: {
      animateScale: true,
      animateRotate: true,
    },
  },
};
window.onload = function () {
  var ctx = document.getElementById("myChart").getContext("2d");
  window.myDoughnut = new Chart(ctx, config);
  if ($("#salesby-traffic").length > 0) {
    var salesByCtx = document.getElementById("salesby-traffic").getContext("2d");
    salesByCtx.canvas.parentNode.style.height = '320px';
    salesByCtx.canvas.parentNode.style.width = '320px';
    window.myDoughnut = new Chart(salesByCtx, salesbyConfig);
  }
};

anychart.onDocumentReady(function () {
  // create data
  var data = [
    {
      x: "Jan",
      value: 5000,
      normal: {
        fill: "#BDD0D2",
        stroke: "#BDD0D2",
        label: { enabled: false },
      },
      hovered: {
        fill: "#1A2526",
        stroke: "#1A2526",
        label: { enabled: false },
      },
      selected: {
        fill: "#1A2526",
        stroke: "#1A2526",
        label: { enabled: false },
      },
    },
    {
      x: "Feb",
      value: 3000,
      normal: {
        fill: "#BDD0D2",
        stroke: "#BDD0D2",
        label: { enabled: false },
      },
      hovered: {
        fill: "#1A2526",
        stroke: "#1A2526",
        label: { enabled: false },
      },
      selected: {
        fill: "#1A2526",
        stroke: "#1A2526",
        label: { enabled: false },
      },
    },
    {
      x: "Mar",
      value: 4600,
      normal: {
        fill: "#BDD0D2",
        stroke: "#BDD0D2",
        label: { enabled: false },
      },
      hovered: {
        fill: "#1A2526",
        stroke: "#1A2526",
        label: { enabled: false },
      },
      selected: {
        fill: "#1A2526",
        stroke: "#1A2526",
        label: { enabled: false },
      },
    },
    {
      x: "Apr",
      value: 3000,
      normal: {
        fill: "#BDD0D2",
        stroke: "#BDD0D2",
        label: { enabled: false },
      },
      hovered: {
        fill: "#1A2526",
        stroke: "#1A2526",
        label: { enabled: false },
      },
      selected: {
        fill: "#1A2526",
        stroke: "#1A2526",
        label: { enabled: false },
      },
    },
    {
      x: "May",
      value: 2500,
      normal: {
        fill: "#BDD0D2",
        stroke: "#BDD0D2",
        label: { enabled: false },
      },
      hovered: {
        fill: "#1A2526",
        stroke: "#1A2526",
        label: { enabled: false },
      },
      selected: {
        fill: "#1A2526",
        stroke: "#1A2526",
        label: { enabled: false },
      },
    },
    {
      x: "Jun",
      value: 5000,
      normal: {
        fill: "#BDD0D2",
        stroke: "#BDD0D2",
        label: { enabled: false },
      },
      hovered: {
        fill: "#1A2526",
        stroke: "#1A2526",
        label: { enabled: false },
      },
      selected: {
        fill: "#1A2526",
        stroke: "#1A2526",
        label: { enabled: false },
      },
    },
  ];

  // create a chart
  var chart = anychart.column();

  // create a column series and set the data
  var series = chart.column(data);
  if ($("#container2").length > 0) {
    // set the container id
    chart.container("container");
    // initiate drawing the chart
    chart.draw();
  }
});

anychart.onDocumentReady(function () {
  // create data
  var item = [
    {
      x: "Jan",
      value: 5000,
      normal: {
        fill: "#BDD0D2",
        stroke: "#BDD0D2",
        label: { enabled: false },
      },
      hovered: {
        fill: "#1A2526",
        stroke: "#1A2526",
        label: { enabled: false },
      },
      selected: {
        fill: "#1A2526",
        stroke: "#1A2526",
        label: { enabled: false },
      },
    },
    {
      x: "Feb",
      value: 3000,
      normal: {
        fill: "#BDD0D2",
        stroke: "#BDD0D2",
        label: { enabled: false },
      },
      hovered: {
        fill: "#1A2526",
        stroke: "#1A2526",
        label: { enabled: false },
      },
      selected: {
        fill: "#1A2526",
        stroke: "#1A2526",
        label: { enabled: false },
      },
    },
    {
      x: "Mar",
      value: 4600,
      normal: {
        fill: "#BDD0D2",
        stroke: "#BDD0D2",
        label: { enabled: false },
      },
      hovered: {
        fill: "#1A2526",
        stroke: "#1A2526",
        label: { enabled: false },
      },
      selected: {
        fill: "#1A2526",
        stroke: "#1A2526",
        label: { enabled: false },
      },
    },
    {
      x: "Apr",
      value: 3000,
      normal: {
        fill: "#BDD0D2",
        stroke: "#BDD0D2",
        label: { enabled: false },
      },
      hovered: {
        fill: "#1A2526",
        stroke: "#1A2526",
        label: { enabled: false },
      },
      selected: {
        fill: "#1A2526",
        stroke: "#1A2526",
        label: { enabled: false },
      },
    },
    {
      x: "May",
      value: 2500,
      normal: {
        fill: "#BDD0D2",
        stroke: "#BDD0D2",
        label: { enabled: false },
      },
      hovered: {
        fill: "#1A2526",
        stroke: "#1A2526",
        label: { enabled: false },
      },
      selected: {
        fill: "#1A2526",
        stroke: "#1A2526",
        label: { enabled: false },
      },
    },
    {
      x: "Jun",
      value: 5000,
      normal: {
        fill: "#BDD0D2",
        stroke: "#BDD0D2",
        label: { enabled: false },
      },
      hovered: {
        fill: "#1A2526",
        stroke: "#1A2526",
        label: { enabled: false },
      },
      selected: {
        fill: "#1A2526",
        stroke: "#1A2526",
        label: { enabled: false },
      },
    },
  ];

  // create a chart
  var chart2 = anychart.column();

  // create a column series and set the data
  var series = chart2.column(item);

  // set the container id
  if ($("#container2").length > 0) {
    chart2.container("container2");  
    // initiate drawing the chart
    chart2.draw();
  }
});

// order this month
var options = {
    chart: {
        width: "100%",
        height: 150,
        type: "area",
        toolbar: { show: false },
      },
      dataLabels: {
        enabled: false
      },
      grid: {
        borderColor: "#E5E7EB",
        strokeDashArray: 6,
        xaxis: {
          lines: {
            show: false,
          },
        },
      },
      colors: ["#344A4C"],
      series: [
        {
          name: "Series 1",
          data: [45, 52, 38, 45, 19, 23, ]
        }
      ],
      fill: { type: "gradient", colors: ['#DEE7E8', '#9CB8BB', '#FFFFFF'], gradient: { shadeIntensity: 1, opacityFrom: 1, opacityTo: 1, stops: [50, 100, 0] } },
        xaxis: {
            categories: [
            "JAN",
            "FEB",
            "MAR",
            "APR",
            "MAY",
            "JUN",
            ],
        },
        yaxis: {
          show: false,
        },
        plotOptions: {
          bar: {
            columnWidth: "100%"
          }
        },
  };
  if ($("#month-order").length > 0) {
    var monthOorder = new ApexCharts(document.getElementById("month-order"), options);
    monthOorder.render();
  }
  
// order this month

// sale this month
var options = {
  chart: {
      width: "100%",
      height: 280,
      type: "area",
      toolbar: { show: false },
      events: {
        mounted: (chart) => {
          chart.windowResizeHandler();
        }
      }
    },
    dataLabels: {
      enabled: false
    },
    colors: ["#344A4C"],
    series: [
      {
        name: "Sales This Month",
        data: ["1", "1k", "2k", "3k", "4k", "5k","5K", "4k", "4k", "3k", "3k", "3k","5k"]
      }
    ],
    fill: { type: "gradient", colors: ['#DEE7E8', '#9CB8BB', '#FFFFFF'], gradient: { shadeIntensity: 1, opacityFrom: 1, opacityTo: 1, stops: [50, 100, 0] } },
    xaxis: {
      categories: [
      "JAN",
      "FEB",
      "MAR",
      "APR",
      "MAY",
      "JUN",
      "JUL",
      "AUG",
      "SEP",
      "OCT",
      "NOV",
      "DEC"
      ],
      tickAmount: 12,
      min: 1,
      max: 12
  },
  yaxis: {
    min: 0,
    max: 5,
    tickAmount: 5
  }
};

var monthSales = new ApexCharts(document.getElementById("month-sale"), options);

monthSales.render();

// Orders This Month

// total revenue
var chart = {
  series: [
    {
      name: "Earning",
      data: ["22000K", "4000K", "6000K", "8000K", "10000K", "12000K", "14000K", "16000K", "18000K", "20000K", "22000K", "24000K"],
    },
    {
      name: "Expenses",
      data: ["5000K", "2000K", "3000K", "4000K", "5000K", "6000K", "7000K", "8000K", "9000K", "10000K", "11000K", "12000K"],
    },
  ],
  chart: {
    toolbar: {
      show: false,
    },
    type: "bar",
    foreColor: "#D1D5DB",
    height: 320,
    stacked: true,
    events: {
      mounted: (chart) => {
        chart.windowResizeHandler();
      }
    }
  },
  legend: {
    position: 'top',
    horizontalAlign: 'right',
    align: 'right',
    show: true,
  },
  colors: ["#D1D5DB","#344A4C"],
  plotOptions: {
    bar: {
      horizontal: false,
      barHeight: "60%",
      columnWidth: "10%",
      borderRadius: [4],
      borderRadiusApplication: 'end',
      borderRadiusWhenStacked: 'all'
    },
  },
  dataLabels: {
    enabled: false,
  },
  fill: {
    colors: ['#D1D5DB', '#344A4C']
  },
  grid: {
    borderColor: "#E5E7EB",
    strokeDashArray: 6,
    xaxis: {
      lines: {
        show: false,
      },
    },
  },
  yaxis: {
    min: -5,
    max: 5,
    labels: {
      style: {
        colors: 'var(--secondary-text)',
        fontSize: '0.75rem',
        fontWeight: '500'
    }
  },
    title: {
      // text: 'Age',
    },
  },
  xaxis: {
    categories: [
    "JAN",
    "FEB",
    "MAR",
    "APR",
    "MAY",
    "JUN",
    "JUL",
    "AUG",
    "SEP",
    "OCT",
    "NOV",
    "DEC"
    ],
    tickAmount: 12,
    min: 1,
    max: 12,
    labels: {
        style: {
          colors: 'var(--secondary-text)',
          fontSize: '0.75rem',
          fontWeight: '500'
      }
    },
    axisBorder: {
      show: false
    },
    axisTicks: {
      show: false,
    },
},
  yaxis: {
    tickAmount: 4,
  },
  tooltip: {
    theme: "dark",
  },
};

var chart = new ApexCharts(document.getElementById("total-revenue"), chart);
chart.render();
// total revenue


// Sales by traffic
var salesbyConfig = {
  height:320,
  type: "doughnut",
  data: {
    labels: ["YouTube", "Google", "Facebook", "Instagram"],
    datasets: [
      {
        data: [30, 18, 89, 25],
        backgroundColor: ["#DD2724", "#34A853", "#1877F2", "#C5257E"],
        borderWidth: 0,
        borderColor: ["#F7F9FB", "#F7F9FB", "#F7F9FB", "#F7F9FB"],
        hoverBorderWidth: 2,
      },
    ],
  },
  options: {
    responsive: true,
    maintainAspectRatio: false,
    legend: {
      display: false
    },
    tooltips: {
      enabled: true,
    },
    cutoutPercentage: 78,
    rotation: -0.5 * Math.PI,
    circumference: 2 * Math.PI,
    animation: {
      animateScale: true,
      animateRotate: true,
    },
  },
};
// Sales by traffic


// Discounted Product Sales
var discountedProdcut = {
  chart: {
    id: 'spark3',
    group: 'sparks',
    type: 'area',
    height: 250,
    width:"100%",
    toolbar: { show: false },
    events: {
      mounted: (chart) => {
        chart.windowResizeHandler();
      }
    }
  },
  dataLabels: {
    enabled: false // Set this to false to hide data labels
  },
  series: [{
    data: [47, 45, 74, 32, 56, 31, 44, 33, 45, 19]
  }],
  stroke: {
    curve: 'straight'
  },
  fill: { type: "gradient", colors: ['#DEE7E8', '#9CB8BB', '#FFFFFF'], gradient: { shadeIntensity: 1, opacityFrom: 0.7, opacityTo: 0.7, stops: [50, 100, 0] } },
  grid: {
    borderColor: "#E5E7EB",
    strokeDashArray: 6,
    xaxis: {
      lines: {
        show: false,
      },
    },
  },
  colors: ['#344A4C'],
  xaxis: {
    crosshairs: {
      width: 1
    },
    axisBorder: {
      show: false
    },
    axisTicks: {
      show: false,
    },
  },
}

var discountedProdcut = new ApexCharts(document.getElementById("discounted-prodcut"), discountedProdcut);
discountedProdcut.render();
// Discounted Product Sales

// Create chart instance
var chart = am4core.create("chartdiv", am4charts.PieChart);

// Add data
chart.data = [{
  "country": "Electronics",
  "value": 201.9
}, {
  "country": "Home ",
  "value": 201.9
}, {
  "country": "Cosmetics",
  "value": 201.1
}, {
  "country": "Grocery",
  "value": 165.8
}, {
  "country": "Fashion",
  "value": 139.9
}, {
  "country": "Others",
  "value": 128.3
}];

// Add and configure Series
var pieSeries = chart.series.push(new am4charts.PieSeries());
pieSeries.dataFields.value = "value";
pieSeries.dataFields.category = "country";
pieSeries.labels.template.disabled = true;
pieSeries.ticks.template.disabled = true;

// Set custom colors for the chart slices
pieSeries.colors.list = [
  am4core.color("#017EFA"), // Electronics - Red
  am4core.color("#50CD89"), // Home - Green
  am4core.color("#FD1F9B"), // Cosmetics - Yellow
  am4core.color("#0EA5E9"), // Grocery - Blue
  am4core.color("#0A278F"), // Fashion - Pink
  am4core.color("#D0D0D0")  // Others - Grey
];

chart.legend = new am4charts.Legend();
chart.legend.position = "right";

chart.innerRadius = am4core.percent(60);

var label = pieSeries.createChild(am4core.Label);
label.text = "160k";
label.horizontalCenter = "middle";
label.verticalCenter = "middle";
label.fontSize = 15;
label.color = "red";


// Create second chart instance
var chart2 = am4core.create("chartdiv2", am4charts.PieChart);

// Add data
chart2.data = [{
  "country": "Electronics",
  "value": 201.9,
}, {
  "country": "Home ",
  "value": 201.9
}, {
  "country": "Cosmetics",
  "value": 201.1
}, {
  "country": "Grocery",
  "value": 165.8
}];

// Add and configure Series
var pieSeries2 = chart2.series.push(new am4charts.PieSeries());
pieSeries2.dataFields.value = "value";
pieSeries2.dataFields.category = "country";
pieSeries2.labels.template.disabled = true;
pieSeries2.ticks.template.disabled = true;

// Set custom colors for the chart slices
pieSeries2.colors.list = [
  am4core.color("#DEE9A2"), // Electronics - Red
  am4core.color("#9CB8BB"), // Home - Green
  am4core.color("#969B9B"), // Cosmetics - Yellow
  am4core.color("#485151")  // Others - Grey
];

chart2.legend = new am4charts.Legend();
chart2.legend.position = "bottom";

chart2.innerRadius = am4core.percent(60);

var label2 = pieSeries2.createChild(am4core.Label);
label2.text = "160k";
label2.horizontalCenter = "middle";
label2.verticalCenter = "middle";
label2.fontSize = 10;
label2.color = "red";

// line column
var lc_options = {
  colors: ['#485151', '#B8BBBC'],
  series: [{
  name: 'Product 1',
  type: 'column',
  data: [440, -50, 304, -150, 100, 33, 200, -50]
}, {
  name: 'Product 2',
  type: 'line',
  data: [400, -48, 280, -130, 80, 30, 150, -30]
}],
  chart: {
  height: 350,
  type: 'line',
  events: {
    mounted: (chart) => {
      chart.windowResizeHandler();
    }
  }
},
stroke: {
  width: [0, 4]
},
dataLabels: {
  enabled: false,
},
labels: ['Jan', 'Feb', 'March', 'April', 'May', 'June', 'July', 'Aug'],
xaxis: {
  // type: 'datetime'
},
};

if ($("#line_column").length > 0) {
var lc_chart = new ApexCharts(document.querySelector("#line_column"), lc_options);
lc_chart.render();
}

// horizontal bar chart
var hb_options = {
  series: [{
  name: 'Males',
  data: [0.4, 1.5, 2.9, 3.8, 3.9, 4, 4.5, 3]
},
{
  name: 'Females',
  data: [-0.8, -1.04, -2.85, -3.96, -4.3, -4, -3.4, -2.8]
}
],
  chart: {
  type: 'bar',
  height: 440,
  stacked: true,
  events: {
    mounted: (chart) => {
      chart.windowResizeHandler();
    }
  }
},
colors: ['#353F40', '#9CB8BB'],
plotOptions: {
  bar: {
    horizontal: true,
    barHeight: '80%',
  },
},
dataLabels: {
  enabled: false
},
stroke: {
  width: 1,
  colors: ["#fff"]
},

grid: {
  xaxis: {
    lines: {
      show: false
    }
  }
},
yaxis: {
  min: -5,
  max: 5,
  title: {
    // text: 'Age',
  },
},
tooltip: {
  shared: false,
  x: {
    formatter: function (val) {
      return val
    }
  },
  y: {
    formatter: function (val) {
      return Math.abs(val) + "%"
    }
  }
},
xaxis: {
  categories: [ '35-39', '30-34', '25-29', '20-24', '15-19', '10-14', '5-9', '0-4'],
  labels: {
    formatter: function (val) {
      return Math.abs(Math.round(val)) + "%"
    }
  }
},
};
if ($("#bar_negative").length > 0) {
var hb_chart = new ApexCharts(document.querySelector("#bar_negative"), hb_options);
hb_chart.render();
}
// horizontal bar chart ends

// column-negative
var cn_options = {
  series: [{
  name: 'Cash Flow',
  data: [1.45, -12.6, -14.16, 0.34, 3.88, 8.1, 17.1, 19.8, -18.6, -48.6, -41.1]
}],
  chart: {
  type: 'bar',
  height: 350,
  events: {
    mounted: (chart) => {
      chart.windowResizeHandler();
    }
  }
},
plotOptions: {
  bar: {
    colors: {
      ranges: [{
        from: -100,
        to: -46,
        color: '#353F40'
      }, {
        from: -45,
        to: 0,
        color: '#353F40'
      }, {
        from: 0,
        to: 100,
        color: '#353F40'
      }]
    },
    columnWidth: '80%',
  }
},
dataLabels: {
  enabled: false,
},
yaxis: {
  labels: {
    formatter: function (y) {
      return y.toFixed(0) + "%";
    }
  }
},
xaxis: {
  type: 'datetime',
  categories: [
    '2011-01-01', '2011-02-01', '2011-03-01', '2011-04-01', '2011-05-01', '2011-06-01',
    '2011-07-01', '2011-08-01', '2011-09-01', '2011-10-01'
  ],
  labels: {
    rotate: -90
  }
}
};

if ($("#column_negative").length > 0){
  var cn_chart = new ApexCharts(document.querySelector("#column_negative"), cn_options);
  cn_chart.render();
}
// column-negative ends

});